Description
ciao a tutti,

ho testato penultima iso-desktop i386 con aggiornamento (apt update && apt upgrade) fatto oggi.

Per ora utilizzo utente local-fuss creato in fase di installazione.

Ho notato che pennette USB non vengono montate in automatico e non si visualizzano nemmeno in GESTINE DEI FILE

deve montarla da terminale)

Non saprei se l'utente di rete funziona gia diversamente.

Sarebbe possibile risolvere questo problema?

grazie
Andrea padovan

. (Perorasi

History

#1 - 03/27/2017 04:13 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee set to Andrea Padovan

Ciao Andrea, grazie per la segnalazione.

Per capire, stai usando un client configurato su un server (quindi dopo aver eseguito fuss-client -a etc) oppure €' una installazione a se stante?

In entrambi i casi, I'utente che stai utilizzando a quali gruppi appartiene? Che forse non ha i permessi per i dispositivi rimovibili..

#2 - 03/27/2017 05:52 PM - Andrea Padovan

ciao Christopher,

per ora € solo uno stand-alone. In ogni caso ci capita di usare utenti locali e volevo semplicemente capire come facilitare (permettere) I'utilizzo delle

chiavette esterne agli utilizzatori finali, senza doverli montare a mano.

Gli utenti testati sono:
root

local-fuss (local-fuss) (local-fuss) (sudo), creati in fase di installazione

docente, studente, utente : creati successivamente da me in maniera elementare (hanno il gruppo omonimo al nome e basta.

nessun utente (nemmeno root) montano automaticamente i dispositivi USB.
rimango a disposizione se dovessero servire altre info. grazie Andrea

#3 - 04/10/2017 02:29 PM - Andrea Padovan

il problema si risolve installando i seguenti 2 pacchetti
apt-get install thunar-volman
apt-get install gvfs

#4 - 04/10/2017 03:01 PM - Paolo Dongilli

- Assignee changed from Andrea Padovan to Christopher R. Gabriel

#5 - 04/11/2017 03:41 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Andrea Padovan

Aggiunti come dipendenza a fuss-desktop (8.0.23) e pubblicati su repository.

#6 - 05/12/2017 02:02 PM - Andrea Padovan

OK, appena potro testero la nuova distro-Desktop con i nuovi aggiornamenti
vi faccio sapere, grazie Andrea

#7 - 05/24/2017 06:12 PM - Andrea Padovan

- Assignee changed from Andrea Padovan to Christopher R. Gabriel

ciao Chritopher,

sto testando I'ultima iso desktop-fuss8 full 32 bit (15/052017).

Le chiavette USB vengono ora automaticamente montate. La periferica USB inserita viene anche visualizzata dul Desktop e nel menu del Gestor di
file sotto la voce DISPOSITIVI.

Ho riscontrato e risolto altri 2 problemi che chiedo se si possono "inglobare" nelle prossime modifiche.

1) Se inserisco chiavette formattate in NTFS, queste non permettono la loro scrittura: non riesco a copiarci dentro nulla.

Soluzione: installare il pacchetto

apt install ntfs-3g

(quaesto pacchetto ha delle dipendenze e installa anche altri pacchetti)

2) Le chiavette vengono riconosciute dal sistema e visualizzate graficamente, ma vengono montate solo nel momento in cui si clicca 2 volte sopra il
loro simbolino. (senza il pacchetto ntfs-3g, il montaggio dal desktop non avveniva con il doppio click, ma solo con tasto.dx + "Monta Volume"; da
Gestore File invece il doppio click funziona con o senza pacchetto ntfs-3g.)

3) Segnalo che inserendo chiavette o HD esterni formattati FAT e ext4 funzionano.

Rimane la questione 1) e 2)
grazie per |'attenzione.

Andrea Padovan
#8 - 05/25/2017 09:34 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Andrea Padovan

Ciao Andrea, grazie per l'update. Non ho pero' capito quale sia la questione da risolvere per il punto 2.

#9 - 05/25/2017 10:39 AM - Andrea Padovan

ciao Christopher, hai ragione non mi sono spiegato bene:

per il punto 2) segnalavo il mancato montaggio automatico (che poi in effetti avviene cliccandoci sopra 2 volte alla periferica USB).

Il mio & un eccesso di precauzione: se si potesse fare in modo che le pennette vengano anche montate automaticamente senza doverci cliccare
sopra (non saprei perd come) l'utente finale sarebbe piu tranquillo. Mi spiego:

alcuni professori aprono la cartella della loro pennetta USB da tendina menu con tasto dx. Se vedono scritto "Monta volume" invece di "Apri cartella”
alcuni di loro faranno fatica, li conosco :-)

#10 - 05/25/2017 10:41 AM - Andrea Padovan

- Assignee changed from Andrea Padovan to Christopher R. Gabriel

#11 - 05/25/2017 10:42 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Andrea Padovan

Capito. Intanto ti ho risolto 1/, il nuovo pacchetto fuss-desktop aggiunge ntfs-3g come dipendenze, quindi ti basta un update fino alla nuova iso.

Per il punto 2), probabilmente serve usbmount, purtroppo in questo momento non ho hardware fisico per fare delle prove, se riesci a verificare ad
esempio che questa procedura funziona
https://raspberrypi.stackexchange.com/questions/41959/automount-various-usb-stick-file-systems-on-jessie-lite possiamo valutarla.

#12 - 05/25/2017 10:58 AM - Andrea Padovan

- Assignee changed from Andrea Padovan to Christopher R. Gabriel

ok. provo nel pomeriggio e ti aggiorno. grazie

#13 - 05/25/2017 05:02 PM - Andrea Padovan

ciao Christopher,

TEST

ho appena testato la procedura da te mandata, ma complica le cose percheé risolve solo in parte il montaggio automatico e alla fine se foglio espellere
la chiavetta, compare un errore riguardante la mancanza di permessi per farlo (I'errore persiste anche dopo aver tentato di dare permessi 777 ai file
fatti creare dalla procedura).

CONCLUSIONE

Basta l'installazione dei seguenti 3 pacchetti per risolvere il problema segnalato nel ticket:
- thunar-volman

- gvfs

- ntfs-3g

N.B.: con questi 3 pacchetti installati, I'icona di uno stick USB viene visualizzata in automatico e col tasto dx del mous compare anche la voce "Apri
cartella” che monta lo stick e apre la cartella (a differenza di come ti ho indicato io prima erroneamente).

Tutto OK per me. Grazie.

Chiudo il ticket

Andrea
https://raspberrypi.stackexchange.com/questions/41959/automount-various-usb-stick-file-systems-on-jessie-lite

#14 - 05/25/2017 05:04 PM - Andrea Padovan

- Status changed from Commenti to Chiuso

#15 - 05/25/2017 05:05 PM - Christopher R. Gabriel

Ok, vi sto che i 3 pacchetti vengono gia' installati, direi che siamo a posto cosi' - grazie per il test!
